import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::SNS::Topic</code> resource creates a topic to which notifications can be published.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-sns-topic.html">the AWS Docs</a>
*/
export function topic(topicProps = {}) {
    return new AwsResource('AWS::SNS::Topic', topicProps, { TopicArn: 'TopicArn', TopicName: 'TopicName' });
}
